# class Xapian::Xapian::Xapian::Term

### Attributes

term[RW]
termfreq[RW]
wdf[RW]

### Public Class Methods

new(term, wdf=nil, termfreq=nil) click to toggle source

    # File ../../../src/xapian-bindings-1.4.5/ruby/docs/xapian.rb, line 74
    def initialize(term, wdf=nil, termfreq=nil)
      @term = term
      @wdf = wdf
      @termfreq = termfreq
    end

### Public Instance Methods

==(other) click to toggle source

    # File ../../../src/xapian-bindings-1.4.5/ruby/docs/xapian.rb, line 80
    def ==(other)
      return other.is_a?(Xapian::Term) && other.term == @term && other.wdf == @wdf && other.termfreq == @termfreq
    end